import { _decorator, Component, Node, Sprite, SpriteFrame } from 'cc';
import { mei_nv_pos } from '../../data/server_play_list_data';
const { ccclass, property } = _decorator;

@ccclass('component_item')
export class component_item extends Component {
    @property(Node) img_mask;
    private m_data:mei_nv_pos = null;
    public initView(data:mei_nv_pos,sf:SpriteFrame){
        this.m_data = data;
        this.getComponent(Sprite).spriteFrame = sf;
        this.img_mask.active = false;
    }

    public hideMask(){
        this.img_mask.active = false;
    }
    public finish(){
        this.img_mask.active = true;
    }
    public getData():mei_nv_pos{
        return this.m_data;
    }
}


